# GraphQL V2 API

{% hint style="info" %}
The GraphQL API is an additional feature. If you would like to add the GraphQL Api to your Fast Weigh subscription, contact us at *865-219-2980* or <support@tacinsight.com>.
{% endhint %}

The GraphQL V2 API handles both retrieving and adding/updating Fast-Weigh data.&#x20;

* [Tooling](/fast-weigh-knowledge-base/references/api-documentation/graphql-v2-api/tooling.md) - Recommended tools to use to access the GraphQL API
* [Authentication](/fast-weigh-knowledge-base/references/api-documentation/graphql-v2-api/authentication.md) - How to authenticate the GraphQL API
* [GraphQL Schema](/fast-weigh-knowledge-base/references/api-documentation/graphql-v2-api/graphql-schema.md) - Breaking down the self-documenting GraphQL API Schema
* [GraphQL Query Crash Course](/fast-weigh-knowledge-base/references/api-documentation/graphql-v2-api/graphql-query-crash-course.md) - Crash course on how to write a GraphQL query to return data
* [GraphQL Mutation Crash Course](/fast-weigh-knowledge-base/references/api-documentation/graphql-v2-api/graphql-mutation-crash-course.md) - Crash course on how to write a GraphQL mutation to add/update data
* [GraphQL for Developers](/fast-weigh-knowledge-base/references/api-documentation/graphql-v2-api/graphql-for-developers.md) - Developer-specific information about the GraphQL API
* [Reporting with GraphQL](/fast-weigh-knowledge-base/references/api-documentation/graphql-v2-api/reporting-with-graphql.md) - How to build reports with a GraphQL data source


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.tacinsight.com/fast-weigh-knowledge-base/references/api-documentation/graphql-v2-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
